# ResiliencyOptions (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.resiliency

## Class ResiliencyOptions

- java.lang.Object
- - io.dapr.client.resiliency.ResiliencyOptions

    public final class ResiliencyOptions
    extends Object

Resiliency policy for SDK communication to Dapr API.

### Constructor Summary

Constructors
`ResiliencyOptions()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Integer` `getMaxRetries()`
`Duration` `getTimeout()`
`ResiliencyOptions` `setMaxRetries​(Integer maxRetries)`
`ResiliencyOptions` `setTimeout​(Duration timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResiliencyOptions

    public ResiliencyOptions()

### Method Detail

#### getTimeout

    public Duration getTimeout()

#### setTimeout

    public ResiliencyOptions setTimeout​(Duration timeout)

#### getMaxRetries

    public Integer getMaxRetries()

#### setMaxRetries

    public ResiliencyOptions setMaxRetries​(Integer maxRetries)